{
  "name": "test",
  "version": "0.0.1",
  "private": true,
  "scripts": {
    "android": "react-native run-android",
    "ios": "react-native run-ios",
    "i8": "react-native run-ios --simulator=\"iPhone 8\"",
    "start": "react-native start",
    "test": "jest"
  },
  "dependencies": {
    "@hocs/with-lifecycle": "^0.5.1",
    "@react-native-community/async-storage": "1.6.2",
    "@react-native-community/masked-view": "^0.1.10",
    "@react-navigation/native": "^5.7.1",
    "@react-navigation/stack": "^5.7.1",
    "@types/enzyme": "^3.10.3",
    "@types/enzyme-adapter-react-16": "^1.0.5",
    "@types/ramda": "0.26.33",
    "@types/react-native-snap-carousel": "^3.7.4",
    "@types/react-redux": "7.1.5",
    "@types/recompose": "0.30.7",
    "@types/redux": "3.6.0",
    "@types/redux-persist": "4.3.1",
    "apollo-boost": "0.4.4",
    "glamorous-native": "2.0.0",
    "graphql": "14.5.8",
    "key-mirror-nested": "1.3.0",
    "ramda": "0.26.1",
    "ramda-adjunct": "^2.22.0",
    "react": "^16.9.0",
    "react-apollo": "3.1.3",
    "react-dom": "^16.11.0",
    "react-native": "0.61.3",
    "react-native-deck-swiper": "1.6.7",
    "react-native-gesture-handler": "1.5.0",
    "react-native-reanimated": "1.4.0",
    "react-native-safe-area-context": "^3.1.1",
    "react-native-screen": "^1.0.1",
    "react-native-screens": "^2.9.0",
    "react-native-snap-carousel": "^3.8.0",
    "react-native-vector-icons": "6.6.0",
    "react-native-view-overflow": "0.0.4",
    "react-navigation": "4.0.10",
    "react-navigation-tabs": "2.5.5",
    "react-redux": "7.1.1",
    "recompose": "0.30.0",
    "redux": "4.0.4",
    "redux-actions": "2.6.5",
    "redux-persist": "6.0.0",
    "redux-promise-middleware": "6.1.1",
    "redux-thunk": "2.3.0"
  },
  "devDependencies": {
    "@babel/core": "^7.10.5",
    "@babel/runtime": "^7.10.5",
    "@react-native-community/eslint-config": "0.0.3",
    "@types/jest": "24.0.21",
    "@types/react": "16.9.11",
    "@types/react-native": "0.60.22",
    "@types/react-test-renderer": "16.9.1",
    "babel-jest": "24.1.0",
    "enzyme": "^3.10.0",
    "enzyme-adapter-react-16": "^1.15.1",
    "jest": "24.1.0",
    "metro-react-native-babel-preset": "0.51.1",
    "react-native-typescript-transformer": "1.2.13",
    "react-test-renderer": "16.8.1",
    "ts-jest": "24.1.0",
    "typescript": "^3.9.7"
  },
  "jest": {
    "preset": "react-native",
    "moduleFileExtensions": [
      "ts",
      "tsx",
      "js"
    ],
    "transform": {
      "^.+\\.(js)$": "<rootDir>/node_modules/babel-jest",
      "\\.(ts|tsx)$": "<rootDir>/node_modules/ts-jest/preprocessor.js"
    },
    "testRegex": "(/__tests__/.*|\\.(test|spec))\\.(ts|tsx|js)$",
    "testPathIgnorePatterns": [
      "\\.snap$",
      "<rootDir>/node_modules/"
    ],
    "transformIgnorePatterns": [
      "node_modules/(?!(jest-)?react-native|glamorous-native)"
    ],
    "cacheDirectory": ".jest/cache"
  }
}
